Notification - SMS

This endpoint will receive events we recommend being delivered via SMS - that includes OTP texts needed for clients using our authentication service.

Body Params
phoneNumber
object
required

Phone number to send the SMS notification to.

string
enum
required

The type of the notification event - one of:

  • ACCOUNT_STATUS_CHANGE: The status of an account has changed
  • CARD_ADDED_TO_WALLET: Card has been added to a device wallet
  • OTP: One-time password has been requested
  • PASSCODE_CHANGE: Customer's passcode has been changed
  • PHONE_NUMBER_VERIFICATION: Phone number verification has been requested
Allowed:
uuid
required

Idempotency key (UUID) to uniquely represent this request and prevent duplication.

uuid

Unique identifier (UUID) of the Customer associated with the event

cardStatusChangeEvent
object

Details of the Card Status Change event; provided when the type is CARD_STATUS_CHANGE.

accountStatusChangeEvent
object

Details of the Account Status Change event; provided when the type is ACCOUNT_STATUS_CHANGE.

passcodeChangeEvent
object

Details of the Passcode Change event; provided when the type is PASSCODE_CHANGE.

phoneNumberVerificationEvent
object

Details of the Phone Number Verification event; provided when the type is PHONE_NUMBER_VERIFICATION.

customerOtpEvent
object

Details of the One-Time Password Request event; provided when the type is OTP.

Responses
200

Success

403

Unauthorised

422

Invalid Input

500

Internal error

Language
LoadingLoading…